Name:		screenlets
Version:	0.1.5
Release:	%mkrel 4
License:	GPL
URL:		http://www.screenlets.org/
Summary:	Widget mini-apps (like OSX Dashboard or Vista Gadgets)
Group:		System/X11
Source:		http://code.launchpad.net/screenlets/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
Source1:	logo24.png
Buildarch:      noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
Requires:	python-beautifulsoup
Requires:	pyxdg
Requires:	dbus-python
Requires:	gnome-python-desktop

%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

Screenlets work best with the Widget plugin for Compiz Fusion.

%prep
%setup -q

# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'

# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root %{buildroot}

# Remove useless egg-info file
rm -f %{buildroot}%{py_puresitedir}/*.egg-info

# Define prefix
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
echo > %{buildroot}%{_sysconfdir}/%{name}/prefix << EOF
%{_prefix}
EOF

# Icons
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/%{name}.png
install -Dm0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install \
	--vendor="" \
	--add-category="Settings" \
	--add-category="DesktopSettings" \
	--add-category="X-MageiaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
		desktop-menu/%{name}-manager.desktop

echo "Icon=%{name}" >> desktop-menu/%{name}-daemon.desktop

desktop-file-install \
	--vendor="" \
	--add-category="Settings" \
	--add-category="DesktopSettings" \
	--add-category="X-MageiaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications \
		desktop-menu/%{name}-daemon.desktop

%find_lang %{name} %{name}-manager

# Clean Ubuntu icons
rm -rf %{buildroot}%{_datadir}/icons/ubuntu*

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc CHANGELOG README TODO AUTHORS DEVELOPERS
%config(noreplace) %{_sysconfdir}/%{name}/prefix
%{_bindir}/*
%{_datadir}/applications/%{name}-*.desktop
%{_datadir}/%{name}
%{_datadir}/%{name}-manager
%{_datadir}/icons/%{name}.*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{py_puresitedir}/screenlets/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.5-4.mga4
+ Revision: 518201
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.5-3.mga3
+ Revision: 381912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 wally <wally> 0.1.5-2.mga2
+ Revision: 187512
- drop unneeded patch
- require python-beautifulsoup
- add prefix setting configuration file
- delete Ubuntu icons
- clean .spec a bit

* Sun Dec 04 2011 kharec <kharec> 0.1.5-1.mga2
+ Revision: 175805
- imported package screenlets


* Wed Oct 26 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.1.5-1
+ Revision: 707208
- fixed build
- new version 0.1.5
  rediff'd p0

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.1.2-3mdv2011.0
+ Revision: 445090
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.1.2-2mdv2009.1
+ Revision: 320367
- rediff patch
- rebuild for new python

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2009.0
+ Revision: 232203
- New version 0.1.2
- should be noarch package

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 16 2008 Funda Wang <fwang@mandriva.org> 0.0.12-2mdv2008.1
+ Revision: 188159
- drop gtk1 and gnome1 dependencies

* Sat Mar 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.0.12-1mdv2008.1
+ Revision: 182109
- New version 0.0.12

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-3mdv2008.1
+ Revision: 103321
- Fix #34987 - fix .desktop files to include Type=Application

* Wed Oct 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-2mdv2008.1
+ Revision: 99546
- Add missing dep - thanks to Doucet Franck for pointing it out

* Wed Sep 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-1mdv2008.0
+ Revision: 84590
- New Upstream Version 0.0.10
- Remove patches in favour of greps, seds and finds
- Install .desktop files


* Fri Mar 23 2007 Sébastien Savarin <plouf@mandriva.org> 0.0.7-1mdv2007.1
+ Revision: 148296
- add forgoten sources + add tray
- fix python dbus.proxy issue

  + Colin Guthrie <cguthrie@mandriva.org>
    - Import screenlets

